clang-tools 6.0.0

Namespaces | Functions
MisplacedWideningCastCheck.cpp File Reference
`#include "MisplacedWideningCastCheck.h"`
`#include "../utils/Matchers.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for MisplacedWideningCastCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::misc

## Functions
static unsigned | clang::tidy::misc::getMaxCalculationWidth (const ASTContext &Context, const Expr *E)
static int | clang::tidy::misc::relativeIntSizes (BuiltinType::Kind Kind)
static int | clang::tidy::misc::relativeCharSizes (BuiltinType::Kind Kind)
static int | clang::tidy::misc::relativeCharSizesW (BuiltinType::Kind Kind)
static bool | clang::tidy::misc::isFirstWider (BuiltinType::Kind First, BuiltinType::Kind Second)